astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Solar System Services (`astroquery.solarsystem`) »
- PDS Ring-Moon Systems (RMS) Node Queries (`astroquery.solarsystem.pds`) »
- RMSNodeClass

# RMSNodeClass

class astroquery.solarsystem.pds.RMSNodeClass(url='', timeout=None)

  Bases: `BaseQuery`

  a class for querying the PDS Ring-Moon Systems (RMS) Node ephemeris tools <https://pds-rings.seti.org/tools/>

  Instantiate RMS Node query

  Methods Summary

  `ephemeris`(*args, **kwargs) | Queries the service and returns a table object.
  `ephemeris_async`(planet, *[, epoch, ...]) | send query to Ring-Moon Systems Node server

  Methods Documentation

  ephemeris(*args, **kwargs)

    Queries the service and returns a table object.

    send query to Ring-Moon Systems Node server

    Parameters:
      planet str

        One of “Mars”, “Jupiter”, “Saturn”, “Uranus”, “Neptune”, or “Pluto”.

      epoch `Time` object, or str in format YYYY-MM-DD hh:mm, optional.

        If str is provided then UTC is assumed. If no epoch is provided, the current time is used.

      location str, or array-like, or `EarthLocation`, optional

        If str, named observeratory supported by the RMS node, e.g. JWST. If array-like, observer’s location as a 3-element array of Earth longitude, latitude, altitude that istantiates an `EarthLocation`. Longitude and latitude should be anything that initializes an `Angle` object, and altitude should initialize an `Quantity` object (with units of length). If `None`, then the geofocus is used.

      neptune_arcmodel int, optional.

        which ephemeris to assume for Neptune’s ring arcs Must be one of 1, 2, or 3 (see https://pds-rings.seti.org/tools/viewer3_nep.shtml for details) has no effect if planet != ‘Neptune’

      get_query_payload boolean, optional

        When set to `True` the method returns the HTTP request parameters as a dict, default: False

      cache boolean, optional

        When set to `True` the method caches the download, default: True

    Returns:
      table A `Table` object.

    Examples

        >>> from astroquery.solarsystem.pds import RMSNode
        >>> import astropy.units as u
        >>> bodytable, ringtable = RMSNode.ephemeris(planet='Uranus',
        ...                 epoch='2024-05-08 22:39',
        ...                 location = (-23.029 * u.deg, -67.755 * u.deg, 5000 * u.m))
        >>> print(ringtable)
              ring  pericenter ascending node
                       deg          deg
            ------- ---------- --------------
                Six    293.129           52.0
               Five    109.438           81.1
               Four    242.882           66.9
              Alpha    184.498          253.9
               Beta     287.66          299.2
                Eta        0.0            0.0
              Gamma     50.224            0.0
              Delta        0.0            0.0
             Lambda        0.0            0.0
            Epsilon    298.022            0.0

  ephemeris_async(planet, *, epoch=None, location=None, neptune_arcmodel=3, get_query_payload=False, cache=True)

    send query to Ring-Moon Systems Node server

    Parameters:
      planet str

        One of “Mars”, “Jupiter”, “Saturn”, “Uranus”, “Neptune”, or “Pluto”.

      epoch `Time` object, or str in format YYYY-MM-DD hh:mm, optional.

        If str is provided then UTC is assumed. If no epoch is provided, the current time is used.

      location str, or array-like, or `EarthLocation`, optional

        If str, named observeratory supported by the RMS node, e.g. JWST. If array-like, observer’s location as a 3-element array of Earth longitude, latitude, altitude that istantiates an `EarthLocation`. Longitude and latitude should be anything that initializes an `Angle` object, and altitude should initialize an `Quantity` object (with units of length). If `None`, then the geofocus is used.

      neptune_arcmodel int, optional.

        which ephemeris to assume for Neptune’s ring arcs Must be one of 1, 2, or 3 (see https://pds-rings.seti.org/tools/viewer3_nep.shtml for details) has no effect if planet != ‘Neptune’

      get_query_payload boolean, optional

        When set to `True` the method returns the HTTP request parameters as a dict, default: False

      cache boolean, optional

        When set to `True` the method caches the download, default: True

    Returns:
      response `requests.Response`

        The response of the HTTP request.

    Examples

        >>> from astroquery.solarsystem.pds import RMSNode
        >>> import astropy.units as u
        >>> bodytable, ringtable = RMSNode.ephemeris(planet='Uranus',
        ...                 epoch='2024-05-08 22:39',
        ...                 location = (-23.029 * u.deg, -67.755 * u.deg, 5000 * u.m))
        >>> print(ringtable)
              ring  pericenter ascending node
                       deg          deg
            ------- ---------- --------------
                Six    293.129           52.0
               Five    109.438           81.1
               Four    242.882           66.9
              Alpha    184.498          253.9
               Beta     287.66          299.2
                Eta        0.0            0.0
              Gamma     50.224            0.0
              Delta        0.0            0.0
             Lambda        0.0            0.0
            Epsilon    298.022            0.0